← 返回接口文档

GET/api/v1/seasons/table

获取赛季积分榜数据
资料库数据包世界杯专题数据包activebetacore可调用(数据有范围)

接口说明

返回查询赛季的积分榜数据详情
请求次数:120次/min

PS:‘数据更新’接口获取变动赛季id

调用信息

请求
GET https://api.sports.csap.ai/api/v1/seasons/table
鉴权
请求头 X-API-Key: <你的 key>(也支持 Authorization: Bearer <key>;?key= 仍可用但不建议,key 会留在地址和日志里)
外部 key
可调用(数据有范围)外部 key 可以调用,但只返回开放范围内的数据,见「通用说明 · 外部 key 的数据范围」。
频率限制
每分钟 3000 次 · 每天 200000 次 · 按 key 配置(以 /api/v1/account 返回的 rate_per_min、quota_daily 为准;上面是试用 key 的值),超出回 429。另外整表快照、不带比赛 id 的统计列表等重型请求全站同时只处理 2 个,排不上回 429 + Retry-After。响应里暂时没有 X-RateLimit-* 头。 详见通用说明

请求参数 1

参数类型必填示例说明
idinteger必填5179赛季id

请求示例

curl "https://api.sports.csap.ai/api/v1/seasons/table?id=5179" \
  -H "X-API-Key: YOUR_API_KEY"

在线调试

示例返回

下面是 2026/11/09 22:29(北京时间) 用外部 key 实际请求的返回:HTTP 200,772 行,712 ms(数据只留前 2 行)

{
  "code": 0,
  "data": [
    {
      "away_draw": 3,
      "away_draws": 3,
      "away_goal_diff": null,
      "away_goals": 11,
      "away_goals_against": 13,
      "away_goals_for": 11,
      "away_loss": 2,
      "away_losses": 2,
      "away_played": 6,
      "away_points": 6,
      "away_position": 7,
      "away_rank": 7,
      "away_total": 6,
      "away_wins": 1,
      "away_won": 1,
      "color": null,
      "comp_ref": "216",
      "conference": null,
      "deduct_points": null,
      "draw": 4,
      "draws": 4,
      "goal_diff": 3,
      "goals": 22,
      "goals_against": 19,
      "goals_for": 22,
      "group": null,
      "grp": null,
      "home_draw": 1,
      "home_draws": 1,
      "home_goal_diff": null,
      "home_goals": 11,
      "home_goals_against": 6,
      "home_goals_for": 11,
      "home_loss": 2,
      "home_losses": 2,
      "home_played": 7,
      "home_points": 13,
      "home_position": 4,
      "home_rank": 4,
      "home_total": 7,
      "home_wins": 4,
      "home_won": 4,
      "id": 5179,
      "league": "Challenge League",
      "loss": 4,
      "losses": 4,
      "name_zh": null,
      "name_zht": null,
      "note": null,
      "played": 13,
      "points": 19,
      "position": 4,
      "promotion_id": null,
      "promotions": null,
      "rank": 4,
      "rows": null,
      "season_id": "96585",
      "source": "S2",
      "stage_id": "96585",
      "tables": null,
      "team_id": "2464",
      "updated_at": 1794232320492,
      "wins": 5,
      "won": 5
    },
    {
      "away_draw": 2,
      "away_draws": 2,
      "away_goal_diff": null,
      "away_goals": 7,
      "away_goals_against": 8,
      "away_goals_for": 7,
      "away_loss": 2,
      "away_losses": 2,
      "away_played": 7,
      "away_points": 11,
      "away_position": 2,
      "away_rank": 2,
      "away_total": 7,
      "away_wins": 3,
      "away_won": 3,
      "color": null,
      "comp_ref": "216",
      "conference": null,
      "deduct_points": null,
      "draw": 2,
      "draws": 2,
      "goal_diff": -4,
      "goals": 16,
      "goals_against": 20,
      "goals_for": 16,
      "group": null,
      "grp": null,
      "home_draw": 0,
      "home_draws": 0,
      "home_goal_diff": null,
      "home_goals": 9,
      "home_goals_against": 12,
      "home_goals_for": 9,
      "home_loss": 4,
      "home_losses": 4,
      "home_played": 6,
      "home_points": 6,
      "home_position": 7,
      "home_rank": 7,
      "home_total": 6,
      "home_wins": 2,
      "home_won": 2,
      "id": 5180,
      "league": "Challenge League",
      "loss": 6,
      "losses": 6,
      "name_zh": null,
      "name_zht": null,
      "note": null,
      "played": 13,
      "points": 17,
      "position": 5,
      "promotion_id": null,
      "promotions": null,
      "rank": 5,
      "rows": null,
      "season_id": "96585",
      "source": "S2",
      "stage_id": "96585",
      "tables": null,
      "team_id": "2451",
      "updated_at": 1794232320492,
      "wins": 5,
      "won": 5
    }
  ],
  "message": "success",
  "success": true
}

返回字段 65

away_drawinteger客场平的场次示例: 3
away_drawsinteger客场平示例: 3
away_goal_diffnull可为空客场净胜球
away_goalsinteger客场进球示例: 11
away_goals_againstinteger客场失球示例: 13
away_goals_forinteger客场进球示例: 11
away_lossinteger客场负的场次示例: 2
away_lossesinteger客场负示例: 2
away_playedinteger客场已赛示例: 6
away_pointsinteger客场积分示例: 6
away_positioninteger客场排名示例: 7
away_rankinteger客场排名示例: 7
away_totalinteger客场比赛场次示例: 6
away_winsinteger客场胜示例: 1
away_woninteger客场胜的场次示例: 1
colornull可为空颜色值
comp_refstring来源内的赛事 id示例: "216"
conferencenull可为空分区信息(极少部分赛事才有,比如美职联)
deduct_pointsnull可为空扣除积分
drawinteger平的场次示例: 4
drawsinteger平局数示例: 4
goal_diffinteger净胜球示例: 3
goalsinteger进球示例: 22
goals_againstinteger失球示例: 19
goals_forinteger进球示例: 22
groupnull可为空不为0表示分组赛的第几组,1-A、2-B以此类推
grpnull可为空分组
home_drawinteger主场平的场次示例: 1
home_drawsinteger主场平示例: 1
home_goal_diffnull可为空主场净胜球
home_goalsinteger主场进球示例: 11
home_goals_againstinteger主场失球示例: 6
home_goals_forinteger主场进球示例: 11
home_lossinteger主场负的场次示例: 2
home_lossesinteger主场负示例: 2
home_playedinteger主场已赛示例: 7
home_pointsinteger主场积分示例: 13
home_positioninteger主场排名示例: 4
home_rankinteger主场排名示例: 4
home_totalinteger主场比赛场次示例: 7
home_winsinteger主场胜示例: 4
home_woninteger主场胜的场次示例: 4
idinteger记录 id;翻页游标(id 参数取 >= 此值的记录)。比赛类接口里是我方比赛 id(gmid)示例: 5179
leaguestring赛事名(英文)示例: "Challenge League"
lossinteger负的场次示例: 4
lossesinteger负场数示例: 4
name_enstring英文名示例: "SC Kriens"
name_zhnull可为空中文名
name_zhtnull可为空繁体中文名
notenull可为空说明
playedinteger已赛场次示例: 13
pointsinteger积分示例: 19
positioninteger位置示例: 4
promotion_idnull可为空升降级id
promotionsnull可为空升降级列表
rankinteger排名示例: 4
rowsnull可为空球队积分项
season_idstring赛季 id示例: "96585"
sourcestring数据来源代号(S1、S2…)示例: "S2"
stage_idstring所属阶段id示例: "96585"
tablesnull可为空积分项
team_idstring球队 id示例: "2464"
updated_atinteger最后更新时间(UTC,ISO 8601;增量同步用 time 参数按它取)示例: 1794232320492
winsinteger胜场数示例: 5
woninteger胜示例: 5

错误码

HTTPmessage场景
401missing API key / unauthorized没带 X-API-Key 或 key 无效、已停用
400bad param …参数格式不对(如 id 不是数字或 u<uid>)
301match merged into <gmid>按旧比赛 id 查,这场已合并到新 gmid:Location 指向新地址,返回体带 moved_to
404not found比赛 / 球队 / 赛事不存在,或不在这个 key 的可见范围内(外部 key 只能看到开放范围内的比赛)
429rate limit exceeded / daily quota exceeded超过 key 的每分钟次数或每日配额
429server busy, retry later服务端并发名额已满(重型请求同时只有 2 个),按 Retry-After 秒后重试
500query error服务端查询失败,可重试